// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        scrollItem:cc.Prefab,
        scrollContent:cc.Node,
        isCloseLog:false,
    },
    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {
        window.GLog = this;
    },

    // update (dt) {},

    addLog: function(str) {
        if(this.isCloseLog)
         return;
        var item = cc.instantiate(this.scrollItem);
        item.getComponent(cc.Label).string = str;
        this.scrollContent.addChild(item);

        this.node.getComponent(cc.ScrollView).scrollToBottom();
    }
});
